# Generated from compass-import-once-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name compass-import-once

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 2%{?dist}
Summary: Speed up your Sass compilation by making @import only import each file once
Group: Development/Languages
License: MIT
URL: https://github.com/chriseppstein/compass/tree/master/import-once
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: rubygems-devel 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Changes the behavior of Sass's @import directive to only import a file once.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# remove uneccessary files
pushd %{buildroot}%{gem_instdir}
rm .gitignore Gemfile* *.gemspec Rakefile
popd


# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/test

%changelog
* Thu Aug 28 2014 Mo Morsi <mmorsi@redhat.com> - 1.0.5-2
- Remove uneeded Requires
- Add VERSION to main package

* Thu Aug 21 2014 Mo Morsi <mmorsi@redhat.com> - 1.0.5-1
- Initial package
